aboutsummaryrefslogtreecommitdiff
path: root/network/xdman/xdman.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/xdman/xdman.SlackBuild')
-rw-r--r--network/xdman/xdman.SlackBuild60
1 files changed, 35 insertions, 25 deletions
diff --git a/network/xdman/xdman.SlackBuild b/network/xdman/xdman.SlackBuild
index 83820b7e3409d..83c01d76f8699 100644
--- a/network/xdman/xdman.SlackBuild
+++ b/network/xdman/xdman.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xdman
-# Copyright 2023 Vijay Marcel
+# Copyright 2023-2024 Vijay Marcel
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,11 +22,27 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#------------------------------Changelog-----------------------------------------------#
+
+# 25/05/2023: Submitted to slackbuilds.org
+
+# 26/05/2023: Resubmitted to SBo.Fixed the SlackBuild script and added the url for
+# the license file in the info file.
+
+# 27/05/2023: Added to SBo
+
+# 29/09/2023: updated to version 8.0.29
+
+# 11/10/2024: Fixed md5sum error and bumped the build no.
+
+#------------------------------------------------------------------------------------------#
+
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=xdman
VERSION=${VERSION:-8.0.29}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
sys_arch=${sys_arch:-$(uname -m)}
@@ -41,9 +57,6 @@ case "$sys_arch" in
*) echo "This program will not build on $sys_arch platform" && exit 1 ;;
esac
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -73,36 +86,33 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-chmod 0750 $PKG/opt/xdman/libmscordaccore.so
-chmod 0750 $PKG/opt/xdman/libhostfxr.so
-chmod 0750 $PKG/opt/xdman/libmscordbi.so
-chmod 0750 $PKG/opt/xdman/libcoreclr.so
-chmod 0750 $PKG/opt/xdman/libSystem.Globalization.Native.so
-chmod 0750 $PKG/opt/xdman/SQLite.Interop.dll
-chmod 0750 $PKG/opt/xdman/libSystem.Native.so
-chmod 0750 $PKG/opt/xdman/libhostpolicy.so
-chmod 0750 $PKG/opt/xdman/libcoreclrtraceptprovider.so
-chmod 0750 $PKG/opt/xdman/libSystem.Security.Cryptography.Native.OpenSsl.so
-chmod 0750 $PKG/opt/xdman/createdump
-chmod 0750 $PKG/opt/xdman/libSystem.Net.Security.Native.so
-chmod 0750 $PKG/opt/xdman/libSystem.IO.Compression.Native.so
-chmod 0750 $PKG/opt/xdman/libdbgshim.so
-chmod 0750 $PKG/opt/xdman/libclrjit.so
+chmod -v 0750 $PKG/opt/xdman/libmscordaccore.so
+chmod -v 0750 $PKG/opt/xdman/libhostfxr.so
+chmod -v 0750 $PKG/opt/xdman/libmscordbi.so
+chmod -v 0750 $PKG/opt/xdman/libcoreclr.so
+chmod -v 0750 $PKG/opt/xdman/libSystem.Globalization.Native.so
+chmod -v 0750 $PKG/opt/xdman/SQLite.Interop.dll
+chmod -v 0750 $PKG/opt/xdman/libSystem.Native.so
+chmod -v 0750 $PKG/opt/xdman/libhostpolicy.so
+chmod -v 0750 $PKG/opt/xdman/libcoreclrtraceptprovider.so
+chmod -v 0750 $PKG/opt/xdman/libSystem.Security.Cryptography.Native.OpenSsl.so
+chmod -v 0750 $PKG/opt/xdman/createdump
+chmod -v 0750 $PKG/opt/xdman/libSystem.Net.Security.Native.so
+chmod -v 0750 $PKG/opt/xdman/libSystem.IO.Compression.Native.so
+chmod -v 0750 $PKG/opt/xdman/libdbgshim.so
+chmod -v 0750 $PKG/opt/xdman/libclrjit.so
cd ..
-
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
rm -rvf $PKG/usr/share/applications/xdm-app.destop
install -m0644 $CWD/xdm-app.desktop -t $PKG/usr/share/applications/
-enscript -B -o $TMP/GPL-2.0.ps $CWD/gpl-2.0.txt
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-cp -a $TMP/GPL-2.0.ps $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/gpl-2.0.txt > $PKG/usr/doc/$PRGNAM-$VERSION/GPL
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc